### Virtual Method

# Gtk LayoutManager create_layout_child

#### Declaration [src]

    GtkLayoutChild*
    create_layout_child (
      GtkLayoutManager* manager,
      GtkWidget* widget,
      GtkWidget* for_child
    )

#### Description [src]

Create a `GtkLayoutChild` instance for the given `for_child` widget.

#### Parameters

`widget` | `GtkWidget`
| The widget using the `manager`.
| The data is owned by the caller of the function.
`for_child` | `GtkWidget`
| The child of `widget`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkLayoutChild`
| A `GtkLayoutChild`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.